// Copyright (C) 2008-2009 - INRIA - Michael Baudin
// Copyright (C) 2009-2011 - DIGITEO - Michael Baudin

//
// This file must be used under the terms of the GNU LGPL license.
// 

// <-- JVM NOT MANDATORY -->
// <-- ENGLISH IMPOSED -->

//
// Check the Halton sequence in dimension 2
//
lds = ldhalton_new();
lds = ldhalton_configure(lds,"-dimension",2);
lds = ldhalton_startup (lds);
// Term #1
[lds,computed] = ldhalton_next (lds);
expected = [0.5 1.0/3.0];
assert_checkalmostequal ( computed, expected, %eps );
// Terms #2 to #6
[lds,computed]=ldhalton_next(lds,5);
expected= [
    1./4. 2./3. 
    3./4. 1./9.    
    1./8. 4./9. 
    5./8. 7./9. 
    3./8. 2./9. 
];
assert_checkalmostequal ( computed, expected, %eps );
lds = ldhalton_destroy(lds);


